from django.db import models

class Department(models.Model):
    dept_name = models.CharField(max_length=255, default='')
    home_unit = models.CharField(max_length=255, default='')
    
    def __str__(self):
        return 'Department Name and Home Unit: {}, {}'.format(self.dept_name, self.home_unit)

class WidgetUser(models.Model):
    first_name = models.CharField(max_length=255, default='')
    middle_name = models.CharField(max_length=255, default='')
    last_name = models.CharField(max_length=255, default='')
    department = models.ForeignKey(Department, on_delete=models.CASCADE)
    
    def __str__(self):
        return '{}, {} {}'.format(self.last_name, self.first_name, self.middle_name)