from django.shortcuts import render
from django.http import HttpResponse
from .models import WidgetUser

def index(request):
    return_string = '<p>Welcome to Widget!</p> <p>WIDGET USERS:<br>'
    
    for user in WidgetUser.objects.all():
        user_string = '{}, {} {}: {}, {}<br>'.format(
            user.last_name, user.first_name, user.middle_name, 
            user.department.dept_name, user.department.home_unit
        )
        return_string += user_string
    
    return_string += '</p>'
    html_string = '<html><body>{}</body></html>'.format(return_string)
    
    return HttpResponse(return_string)