from django.shortcuts import render
from django.http import HttpResponse
from .models import Event

def index(request):
    return_string = '<p>Widget`s Calendar of Activities<br><br>'

    for event in Event.objects.all():
        event_string = '''
        Date and Time: {}, {}<br>
        Activity: {}<br>
        Estimated Hours: {}<br> 
        Course/Section: {}<br>
        Mode: {}<br>
        Venue: {}<br>
        '''.format(
            event.target_datetime.strftime("%m/%d/%y"),
            event.target_datetime.strftime("%I:%M %p"),
            event.activity,
            event.estimated_hours,
            event.course,
            event.location.mode,
            event.location.venue
        )
        return_string += event_string

        return_string += '</p>'
        html_string = '<html><body>{}</body></html>'.format(return_string)
    
    return HttpResponse(html_string)