from django.shortcuts import render
from django.http import HttpResponse

from .models import Assignment

# Create your views here.
def index(request):
    return_string = '<p>Widget\'s Assignments Page<br>'

    for work in Assignment.objects.all():
        work_string = '<br>Assignment Name: {}<br>Description: {}<br>Perfect Score: {}<br>Passing Score: {}<br>Course/Section: {} {}-{}<br>'.format(
            work.name, work.description, work.perfect_score, work.passing_score, work.course.code, work.course.title, work.course.section)
        return_string += work_string

    return_string += '</p>'
    html_string = '<html><body>{}</body></html>'.format(return_string)
    
    return HttpResponse(html_string)