from django.shortcuts import render
from django.http import HttpResponse
from .models import ForumPost
from .models import Reply

def index(request):
    return_string = "<p>Widget's Forum</p> <p>Forum Posts:<br>"

    for post in ForumPost.objects.all():
        post_string = '{} by {} {} posted {}:<br>'.format(
            post.title, post.author.first_name, post.author.last_name,
            post.pub_datetime.strftime("%m/%d/%Y, %I:%M %p")
        )
        post_string += '{}<br>'.format(post.body)
        return_string += post_string

        for reply in Reply.objects.all():
            if post == reply.forum_post:
                reply_string = 'Reply by {} {} posted {}:<br>'.format(
                    reply.author.first_name, reply.author.last_name,
                    reply.pub_datetime.strftime("%m/%d/%Y, %I:%M %p")
                )
                reply_string += '{}<br>'.format(reply.body)
                return_string += reply_string 
        
        return_string += '<br>'

    return_string += '</p>'
    html_string = '<html><body>{}</body></html>'.format(return_string)

    return HttpResponse(return_string)
